/*
 * Copyright 2006 Phidgets Inc.  All rights reserved.
 */

package com.phidgets;
import java.util.Iterator;
import java.util.LinkedList;
import com.phidgets.event.*;
public final class LEDPhidget extends Phidget {
	public LEDPhidget() throws PhidgetException {
		super(create());
	}
	private static native long create() throws PhidgetException;
	public native int getLEDCount() throws PhidgetException;
	public native int getDiscreteLED(int index) throws PhidgetException;
	public native void setDiscreteLED(int index, int brightness) throws PhidgetException;
	protected final void enableDeviceSpecificEvents (boolean b) {}
}
